## HdyDialerButton HdyDialerButton — A button on a HdyDialer keypad |

## Functions

GtkWidget * | hdy_dialer_button_new ()
gint | hdy_dialer_button_get_digit ()
const char * | hdy_dialer_button_get_symbols ()

## Properties

gint | digit | Read
gchar * | symbols | Read / Write

## Types and Values

#define | HDY_TYPE_DIALER_BUTTON
struct | HdyDialerButtonClass
| HdyDialerButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── HdyDialerButton
                                ╰── HdyDialerCycleButton

## Implemented Interfaces

HdyDialerButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

The HdyDialerButton widget is a single button on an HdyDialer. It can represent a single symbol (typically a digit) plus an arbitrary number of symbols that are displayed below it.

## Functions

### hdy_dialer_button_new ()

    GtkWidget *
    hdy_dialer_button_new (const gchar *symbols);

Create a new HdyDialerButton which displays `symbols` . If `symbols` is `NULL` no symbols will be displayed.

#### Parameters

symbols | the symbols displayed on the HdyDialerButton. | [nullable]

#### Returns

the newly created HdyDialerButton widget

### hdy_dialer_button_get_digit ()

    gint
    hdy_dialer_button_get_digit (HdyDialerButton *self);

Get the HdyDialerButton's digit.

#### Parameters

self | a HdyDialerButton |

#### Returns

the button's digit

### hdy_dialer_button_get_symbols ()

    const char *
    hdy_dialer_button_get_symbols (HdyDialerButton *self);

Get the HdyDialerButton's symbols.

#### Parameters

self | a HdyDialerButton |

#### Returns

the button's symbols.

## Types and Values

### HDY_TYPE_DIALER_BUTTON

    #define HDY_TYPE_DIALER_BUTTON (hdy_dialer_button_get_type())

### struct HdyDialerButtonClass

    struct HdyDialerButtonClass {
      GtkButtonClass parent_class;
    };

### HdyDialerButton

    typedef struct _HdyDialerButton HdyDialerButton;

## Property Details

### The `“digit”` property

      “digit”                    gint

The dialer digit of the button.

Flags: Read

Allowed values: >= -1

Default value: 0

### The `“symbols”` property

      “symbols”                  gchar *

The dialer symbols of the button.

Flags: Read / Write

Default value: ""